Show / Hide Table of Contents

# Class TensorElementTypeInfo

Holds TensorElement traits

##### Inheritance

System.Object
TensorElementTypeInfo

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Microsoft.ML.OnnxRuntime.Tensors

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class TensorElementTypeInfo

### Constructors

#### TensorElementTypeInfo(Type, Int32)

Ctor

##### Declaration

    public TensorElementTypeInfo(Type type, int typeSize)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | type | Tensor element type
System.Int32 | typeSize | typesize

### Properties

#### IsString

Is the type is a string

##### Declaration

    public bool IsString { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | true if Tensor element type is a string

#### TensorType

Tensor element type

##### Declaration

    public Type TensorType { get; }

##### Property Value

Type | Description
--- | ---
Type | System.Type

#### TypeSize

Size of the stored primitive type in bytes

##### Declaration

    public int TypeSize { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | size in bytes